SpyBara
Go Premium

Reference 2026-09-29 22:57 UTC to 2026-09-30 22:59 UTC

4 files changed +338 −338. View all changes and history on the product overview
2026
Wed 30 22:59 Tue 29 22:57 Mon 28 22:57 Sun 27 23:58 Sat 26 23:59 Fri 25 23:58 Thu 24 23:58 Wed 23 23:58 Tue 22 23:57 Mon 21 23:00 Sat 19 23:00 Fri 18 22:59 Wed 16 22:58 Fri 11 20:00 Thu 10 18:01 Wed 9 16:02 Fri 4 23:59 Thu 3 23:00 Wed 2 01:58 Tue 1 01:57
Details

2 2 

3## Cancel eval run3## Cancel eval run

4 4 

5**post** `/evals/{eval_id}/runs/{run_id}`5**post** `/evals/{eval_id}/runs/{run_id}/cancel`

6 6 

7Cancel an ongoing evaluation run.7Cancel an ongoing evaluation run.

8 8 


2192### Example2192### Example

2193 2193 

2194```http2194```http

2195curl https://api.openai.com/v1/evals/$EVAL_ID/runs/$RUN_ID \2195curl https://api.openai.com/v1/evals/$EVAL_ID/runs/$RUN_ID/cancel \

2196 -X POST \2196 -X POST \

2197 -H "Authorization: Bearer $OPENAI_API_KEY"2197 -H "Authorization: Bearer $OPENAI_API_KEY"

2198```2198```

Details

5176 5176 

5177## Server events5177## Server events

5178 5178 

5179<a id="transport.ringing"></a>

5180 

5181### transport.ringing

5182 

5183The outbound SIP provider leg is ringing or providing early media. Delivered only to sideband observers.

5184 

5185#### Schema

5186 

5187Schema name: `LiveTransportRinging`

5188 

5189- `event_id: string`

5190 

5191- `session_id: string`

5192 

5193 The canonical Live session ID.

5194 

5195- `type: "transport.ringing"`

5196 

5197 - `"transport.ringing"`

5198 

5199#### Example

5200 

5201```json

5202{

5203 "type": "transport.ringing",

5204 "event_id": "event_call_1",

5205 "session_id": "live_u0_123"

5206}

5207```

5208 

5209<a id="transport.answered"></a>

5210 

5211### transport.answered

5212 

5213The outbound SIP provider leg answered and media is established. Delivered only to sideband observers.

5214 

5215#### Schema

5216 

5217Schema name: `LiveTransportAnswered`

5218 

5219- `event_id: string`

5220 

5221- `session_id: string`

5222 

5223 The canonical Live session ID.

5224 

5225- `type: "transport.answered"`

5226 

5227 - `"transport.answered"`

5228 

5229#### Example

5230 

5231```json

5232{

5233 "type": "transport.answered",

5234 "event_id": "event_call_2",

5235 "session_id": "live_u0_123"

5236}

5237```

5238 

5239<a id="transport.failed"></a>

5240 

5241### transport.failed

5242 

5243An asynchronous outbound SIP setup failure. Delivered only to sideband observers.

5244 

5245#### Schema

5246 

5247Schema name: `LiveTransportFailed`

5248 

5249- `error: object { code, message, type, param }`

5250 

5251 - `code: string`

5252 

5253 The call setup failure code.

5254 

5255 - `message: string`

5256 

5257 - `type: "call_error"`

5258 

5259 - `"call_error"`

5260 

5261 - `param: optional string`

5262 

5263 The parameter related to the error, if any. Empty when no parameter applies.

5264 

5265- `event_id: string`

5266 

5267- `session_id: string`

5268 

5269 The canonical Live session ID.

5270 

5271- `type: "transport.failed"`

5272 

5273 - `"transport.failed"`

5274 

5275#### Example

5276 

5277```json

5278{

5279 "type": "transport.failed",

5280 "event_id": "event_call_4",

5281 "session_id": "live_u0_123",

5282 "error": {

5283 "type": "call_error",

5284 "code": "provider_invite_failed",

5285 "message": "provider rejected the call",

5286 "param": ""

5287 }

5288}

5289```

5290 

5179<a id="session.started"></a>5291<a id="session.started"></a>

5180 5292 

5181### session.started5293### session.started


7619 "event": "#"7731 "event": "#"

7620}7732}

7621```7733```

7622 

7623<a id="transport.ringing"></a>

7624 

7625### transport.ringing

7626 

7627The outbound SIP provider leg is ringing or providing early media. Delivered only to sideband observers.

7628 

7629#### Schema

7630 

7631Schema name: `LiveTransportRinging`

7632 

7633- `event_id: string`

7634 

7635- `session_id: string`

7636 

7637 The canonical Live session ID.

7638 

7639- `type: "transport.ringing"`

7640 

7641 - `"transport.ringing"`

7642 

7643#### Example

7644 

7645```json

7646{

7647 "type": "transport.ringing",

7648 "event_id": "event_call_1",

7649 "session_id": "live_u0_123"

7650}

7651```

7652 

7653<a id="transport.answered"></a>

7654 

7655### transport.answered

7656 

7657The outbound SIP provider leg answered and media is established. Delivered only to sideband observers.

7658 

7659#### Schema

7660 

7661Schema name: `LiveTransportAnswered`

7662 

7663- `event_id: string`

7664 

7665- `session_id: string`

7666 

7667 The canonical Live session ID.

7668 

7669- `type: "transport.answered"`

7670 

7671 - `"transport.answered"`

7672 

7673#### Example

7674 

7675```json

7676{

7677 "type": "transport.answered",

7678 "event_id": "event_call_2",

7679 "session_id": "live_u0_123"

7680}

7681```

7682 

7683<a id="transport.failed"></a>

7684 

7685### transport.failed

7686 

7687An asynchronous outbound SIP setup failure. Delivered only to sideband observers.

7688 

7689#### Schema

7690 

7691Schema name: `LiveTransportFailed`

7692 

7693- `error: object { code, message, type, param }`

7694 

7695 - `code: string`

7696 

7697 The call setup failure code.

7698 

7699 - `message: string`

7700 

7701 - `type: "call_error"`

7702 

7703 - `"call_error"`

7704 

7705 - `param: optional string`

7706 

7707 The parameter related to the error, if any. Empty when no parameter applies.

7708 

7709- `event_id: string`

7710 

7711- `session_id: string`

7712 

7713 The canonical Live session ID.

7714 

7715- `type: "transport.failed"`

7716 

7717 - `"transport.failed"`

7718 

7719#### Example

7720 

7721```json

7722{

7723 "type": "transport.failed",

7724 "event_id": "event_call_4",

7725 "session_id": "live_u0_123",

7726 "error": {

7727 "type": "call_error",

7728 "code": "provider_invite_failed",

7729 "message": "provider rejected the call",

7730 "param": ""

7731 }

7732}

7733```

Details

5446 5446 

5447## Server events5447## Server events

5448 5448 

5449<a id="transport.ringing"></a>

5450 

5451### transport.ringing

5452 

5453The outbound SIP provider leg is ringing or providing early media. Delivered only to sideband observers.

5454 

5455#### Schema

5456 

5457Schema name: `LiveTransportRinging`

5458 

5459- `event_id: string`

5460 

5461- `session_id: string`

5462 

5463 The canonical Live session ID.

5464 

5465- `type: "transport.ringing"`

5466 

5467 - `"transport.ringing"`

5468 

5469#### Example

5470 

5471```json

5472{

5473 "type": "transport.ringing",

5474 "event_id": "event_call_1",

5475 "session_id": "live_u0_123"

5476}

5477```

5478 

5479<a id="transport.answered"></a>

5480 

5481### transport.answered

5482 

5483The outbound SIP provider leg answered and media is established. Delivered only to sideband observers.

5484 

5485#### Schema

5486 

5487Schema name: `LiveTransportAnswered`

5488 

5489- `event_id: string`

5490 

5491- `session_id: string`

5492 

5493 The canonical Live session ID.

5494 

5495- `type: "transport.answered"`

5496 

5497 - `"transport.answered"`

5498 

5499#### Example

5500 

5501```json

5502{

5503 "type": "transport.answered",

5504 "event_id": "event_call_2",

5505 "session_id": "live_u0_123"

5506}

5507```

5508 

5509<a id="transport.failed"></a>

5510 

5511### transport.failed

5512 

5513An asynchronous outbound SIP setup failure. Delivered only to sideband observers.

5514 

5515#### Schema

5516 

5517Schema name: `LiveTransportFailed`

5518 

5519- `error: object { code, message, type, param }`

5520 

5521 - `code: string`

5522 

5523 The call setup failure code.

5524 

5525 - `message: string`

5526 

5527 - `type: "call_error"`

5528 

5529 - `"call_error"`

5530 

5531 - `param: optional string`

5532 

5533 The parameter related to the error, if any. Empty when no parameter applies.

5534 

5535- `event_id: string`

5536 

5537- `session_id: string`

5538 

5539 The canonical Live session ID.

5540 

5541- `type: "transport.failed"`

5542 

5543 - `"transport.failed"`

5544 

5545#### Example

5546 

5547```json

5548{

5549 "type": "transport.failed",

5550 "event_id": "event_call_4",

5551 "session_id": "live_u0_123",

5552 "error": {

5553 "type": "call_error",

5554 "code": "provider_invite_failed",

5555 "message": "provider rejected the call",

5556 "param": ""

5557 }

5558}

5559```

5560 

5449<a id="session.started"></a>5561<a id="session.started"></a>

5450 5562 

5451### session.started5563### session.started


7889 "event": "#"8001 "event": "#"

7890}8002}

7891```8003```

7892 

7893<a id="transport.ringing"></a>

7894 

7895### transport.ringing

7896 

7897The outbound SIP provider leg is ringing or providing early media. Delivered only to sideband observers.

7898 

7899#### Schema

7900 

7901Schema name: `LiveTransportRinging`

7902 

7903- `event_id: string`

7904 

7905- `session_id: string`

7906 

7907 The canonical Live session ID.

7908 

7909- `type: "transport.ringing"`

7910 

7911 - `"transport.ringing"`

7912 

7913#### Example

7914 

7915```json

7916{

7917 "type": "transport.ringing",

7918 "event_id": "event_call_1",

7919 "session_id": "live_u0_123"

7920}

7921```

7922 

7923<a id="transport.answered"></a>

7924 

7925### transport.answered

7926 

7927The outbound SIP provider leg answered and media is established. Delivered only to sideband observers.

7928 

7929#### Schema

7930 

7931Schema name: `LiveTransportAnswered`

7932 

7933- `event_id: string`

7934 

7935- `session_id: string`

7936 

7937 The canonical Live session ID.

7938 

7939- `type: "transport.answered"`

7940 

7941 - `"transport.answered"`

7942 

7943#### Example

7944 

7945```json

7946{

7947 "type": "transport.answered",

7948 "event_id": "event_call_2",

7949 "session_id": "live_u0_123"

7950}

7951```

7952 

7953<a id="transport.failed"></a>

7954 

7955### transport.failed

7956 

7957An asynchronous outbound SIP setup failure. Delivered only to sideband observers.

7958 

7959#### Schema

7960 

7961Schema name: `LiveTransportFailed`

7962 

7963- `error: object { code, message, type, param }`

7964 

7965 - `code: string`

7966 

7967 The call setup failure code.

7968 

7969 - `message: string`

7970 

7971 - `type: "call_error"`

7972 

7973 - `"call_error"`

7974 

7975 - `param: optional string`

7976 

7977 The parameter related to the error, if any. Empty when no parameter applies.

7978 

7979- `event_id: string`

7980 

7981- `session_id: string`

7982 

7983 The canonical Live session ID.

7984 

7985- `type: "transport.failed"`

7986 

7987 - `"transport.failed"`

7988 

7989#### Example

7990 

7991```json

7992{

7993 "type": "transport.failed",

7994 "event_id": "event_call_4",

7995 "session_id": "live_u0_123",

7996 "error": {

7997 "type": "call_error",

7998 "code": "provider_invite_failed",

7999 "message": "provider rejected the call",

8000 "param": ""

8001 }

8002}

8003```

Details

4865 4865 

4866## Server events4866## Server events

4867 4867 

4868<a id="transport.ringing"></a>

4869 

4870### transport.ringing

4871 

4872The outbound SIP provider leg is ringing or providing early media. Delivered only to sideband observers.

4873 

4874#### Schema

4875 

4876Schema name: `LiveTransportRinging`

4877 

4878- `event_id: string`

4879 

4880- `session_id: string`

4881 

4882 The canonical Live session ID.

4883 

4884- `type: "transport.ringing"`

4885 

4886 - `"transport.ringing"`

4887 

4888#### Example

4889 

4890```json

4891{

4892 "type": "transport.ringing",

4893 "event_id": "event_call_1",

4894 "session_id": "live_u0_123"

4895}

4896```

4897 

4898<a id="transport.answered"></a>

4899 

4900### transport.answered

4901 

4902The outbound SIP provider leg answered and media is established. Delivered only to sideband observers.

4903 

4904#### Schema

4905 

4906Schema name: `LiveTransportAnswered`

4907 

4908- `event_id: string`

4909 

4910- `session_id: string`

4911 

4912 The canonical Live session ID.

4913 

4914- `type: "transport.answered"`

4915 

4916 - `"transport.answered"`

4917 

4918#### Example

4919 

4920```json

4921{

4922 "type": "transport.answered",

4923 "event_id": "event_call_2",

4924 "session_id": "live_u0_123"

4925}

4926```

4927 

4928<a id="transport.failed"></a>

4929 

4930### transport.failed

4931 

4932An asynchronous outbound SIP setup failure. Delivered only to sideband observers.

4933 

4934#### Schema

4935 

4936Schema name: `LiveTransportFailed`

4937 

4938- `error: object { code, message, type, param }`

4939 

4940 - `code: string`

4941 

4942 The call setup failure code.

4943 

4944 - `message: string`

4945 

4946 - `type: "call_error"`

4947 

4948 - `"call_error"`

4949 

4950 - `param: optional string`

4951 

4952 The parameter related to the error, if any. Empty when no parameter applies.

4953 

4954- `event_id: string`

4955 

4956- `session_id: string`

4957 

4958 The canonical Live session ID.

4959 

4960- `type: "transport.failed"`

4961 

4962 - `"transport.failed"`

4963 

4964#### Example

4965 

4966```json

4967{

4968 "type": "transport.failed",

4969 "event_id": "event_call_4",

4970 "session_id": "live_u0_123",

4971 "error": {

4972 "type": "call_error",

4973 "code": "provider_invite_failed",

4974 "message": "provider rejected the call",

4975 "param": ""

4976 }

4977}

4978```

4979 

4868<a id="session.started"></a>4980<a id="session.started"></a>

4869 4981 

4870### session.started4982### session.started


7308 "event": "#"7420 "event": "#"

7309}7421}

7310```7422```

7311 

7312<a id="transport.ringing"></a>

7313 

7314### transport.ringing

7315 

7316The outbound SIP provider leg is ringing or providing early media. Delivered only to sideband observers.

7317 

7318#### Schema

7319 

7320Schema name: `LiveTransportRinging`

7321 

7322- `event_id: string`

7323 

7324- `session_id: string`

7325 

7326 The canonical Live session ID.

7327 

7328- `type: "transport.ringing"`

7329 

7330 - `"transport.ringing"`

7331 

7332#### Example

7333 

7334```json

7335{

7336 "type": "transport.ringing",

7337 "event_id": "event_call_1",

7338 "session_id": "live_u0_123"

7339}

7340```

7341 

7342<a id="transport.answered"></a>

7343 

7344### transport.answered

7345 

7346The outbound SIP provider leg answered and media is established. Delivered only to sideband observers.

7347 

7348#### Schema

7349 

7350Schema name: `LiveTransportAnswered`

7351 

7352- `event_id: string`

7353 

7354- `session_id: string`

7355 

7356 The canonical Live session ID.

7357 

7358- `type: "transport.answered"`

7359 

7360 - `"transport.answered"`

7361 

7362#### Example

7363 

7364```json

7365{

7366 "type": "transport.answered",

7367 "event_id": "event_call_2",

7368 "session_id": "live_u0_123"

7369}

7370```

7371 

7372<a id="transport.failed"></a>

7373 

7374### transport.failed

7375 

7376An asynchronous outbound SIP setup failure. Delivered only to sideband observers.

7377 

7378#### Schema

7379 

7380Schema name: `LiveTransportFailed`

7381 

7382- `error: object { code, message, type, param }`

7383 

7384 - `code: string`

7385 

7386 The call setup failure code.

7387 

7388 - `message: string`

7389 

7390 - `type: "call_error"`

7391 

7392 - `"call_error"`

7393 

7394 - `param: optional string`

7395 

7396 The parameter related to the error, if any. Empty when no parameter applies.

7397 

7398- `event_id: string`

7399 

7400- `session_id: string`

7401 

7402 The canonical Live session ID.

7403 

7404- `type: "transport.failed"`

7405 

7406 - `"transport.failed"`

7407 

7408#### Example

7409 

7410```json

7411{

7412 "type": "transport.failed",

7413 "event_id": "event_call_4",

7414 "session_id": "live_u0_123",

7415 "error": {

7416 "type": "call_error",

7417 "code": "provider_invite_failed",

7418 "message": "provider rejected the call",

7419 "param": ""

7420 }

7421}

7422```